
*****************************
*** Function : explode    ***
***                       ***
*** (c) 2000 by n.Olivier ***
*** Freilassing / Germany ***
***                       ***
*****************************

*  INFO : *
* explode(cTeilerZeichenkette,cZuTeilenderString,cOptionalArrayNameAlsString)
* z.B.: explode(chr(9),'Mayer	Huber	Schmidt	Mller','aNamen')
*   Ergebniss:  aName(1)='Mayer'
*               aName(2)='Huber' 
*
* Ab Version VFP 5.0
*
function explode(cTeiler,cString,cOptionalArrayName)

	if type('cOptionalArrayName')='C'
		aName=cOptionalArrayName
    else
    	aName='aExplode'
    endif
	&aName=''
    release &aName
    public &aName
	nCount=occurs(cTeiler,cString)+1
	if type('nCount')!='N';
	 or nCount<=1
		dimension &aName(1)
		&aName(1)=cString
		return
	endif
	dimension &aName(nCount)
	
	for nPos = 1 to nCount
				 && vorher :  ...atc(cTeiler,cString)-1)
		&aName(nPos)=left(cString,atc(cTeiler,cString+cTeiler)-1)
				 && vorher :  ...atc(cTeiler,cString)+1)
		cString=substr(cString,atc(cTeiler,cString)+len(cTeiler)) 
	endfor

endfunc
